Bug 1278918 - manila-api fails to start without updates from upstream stable/liberty
manila-api fails to start without updates from upstream stable/liberty
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-manila (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 13:27 EST by Dave Cain
Modified: 2016-05-19 11:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:38:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Cain 2015-11-06 13:27:54 EST
Description of problem:
Manila-api fails to start with the error below. Updating /etc/manila/api-paste.ini from upstream stable/liberty resolves the issue.  I suspect this problem exists in OSP repositories, and would like to bring that up as well.  This was found by our IT department from within NetApp.

2015-10-28 15:39:58.458 8267 CRITICAL manila [-] ImportError: <module 'manila.api.versions' from '/usr/lib/python2.7/site-packages/manila/api/versions.py'> has no 'Versions' attribute
2015-10-28 15:39:58.458 8267 ERROR manila Traceback (most recent call last):
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/bin/manila-api", line 10, in <module>
2015-10-28 15:39:58.458 8267 ERROR manila     sys.exit(main())
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/manila/cmd/api.py", line 48, in main
2015-10-28 15:39:58.458 8267 ERROR manila     server = service.WSGIService('osapi_share')
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/manila/service.py", line 276, in __init__
2015-10-28 15:39:58.458 8267 ERROR manila     self.app = self.loader.load_app(name)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/manila/wsgi.py", line 546, in load_app
2015-10-28 15:39:58.458 8267 ERROR manila     return deploy.loadapp("config:%s" % self.config_path, name=name)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 247, in loadapp
2015-10-28 15:39:58.458 8267 ERROR manila     return loadobj(APP, uri, name=name, **kw)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 272, in loadobj
2015-10-28 15:39:58.458 8267 ERROR manila     return context.create()
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2015-10-28 15:39:58.458 8267 ERROR manila     return self.object_type.invoke(self)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 144, in invoke
2015-10-28 15:39:58.458 8267 ERROR manila     **context.local_conf)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 56, in fix_call
2015-10-28 15:39:58.458 8267 ERROR manila     val = callable(*args, **kw)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/manila/api/__init__.py", line 35, in root_app_factory
2015-10-28 15:39:58.458 8267 ERROR manila     return paste.urlmap.urlmap_factory(loader, global_conf, **local_conf)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/urlmap.py", line 25, in urlmap_factory
2015-10-28 15:39:58.458 8267 ERROR manila     app = loader.get_app(app_name, global_conf=global_conf)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 350, in get_app
2015-10-28 15:39:58.458 8267 ERROR manila     name=name, global_conf=global_conf).create()
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 362, in app_context
2015-10-28 15:39:58.458 8267 ERROR manila     APP, name=name, global_conf=global_conf)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 450, in get_context
2015-10-28 15:39:58.458 8267 ERROR manila     global_additions=global_additions)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 559, in _pipeline_app_context
2015-10-28 15:39:58.458 8267 ERROR manila     APP, pipeline[-1], global_conf)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 458, in get_context
2015-10-28 15:39:58.458 8267 ERROR manila     section)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 517, in _context_from_explicit
2015-10-28 15:39:58.458 8267 ERROR manila     value = import_string(found_expr)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 22, in import_string
2015-10-28 15:39:58.458 8267 ERROR manila     return pkg_resources.EntryPoint.parse("x=" + s).load(False)
2015-10-28 15:39:58.458 8267 ERROR manila   File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2265, in load
2015-10-28 15:39:58.458 8267 ERROR manila     raise ImportError("%r has no %r attribute" % (entry,attr))
2015-10-28 15:39:58.458 8267 ERROR manila ImportError: <module 'manila.api.versions' from '/usr/lib/python2.7/site-packages/manila/api/versions.py'> has no 'Versions' attribute
2015-10-28 15:39:58.458 8267 ERROR manila —

[root@vmostapp14-lab yum.repos.d]# rpm -q rdo-release
rdo-release-liberty-2.noarch
—
[root@vmostapp14-lab yum.repos.d]# uname -a
Linux vmostapp14-lab.corp.itenglab.netapp.com 3.10.0-229.14.1.el7.x86_64 #1 SMP Tue Aug 25 11:21:22 EDT 2015 x86_64 x86_64 x86_64 GNU/Linux

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RHEL7.1 host with latest updates.
2. Configure for rdo-release-liberty-2
3. Manila starts with problems

Actual results:


Expected results:


Additional info:
Comment 1 Chandan Kumar 2016-05-19 11:38:58 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.